Subject: Re: remove inode_setattr

From: Al Viro <[email-masked]>
Date: Wed, 11 Aug 2010 02:00:57 +0100

On Wed, Aug 11, 2010 at 01:52:16AM +0100, Al Viro wrote:
> On Wed, Aug 11, 2010 at 10:45:03AM +1000, Stephen Rothwell wrote:
> > Hi All,
> > 
> > On Wed, 11 Aug 2010 10:17:51 +1000 Stephen Rothwell <[email-masked]> wrote:
> > >
> > > Reported by me June 22 with a fixup, reminded Aug 4 and yesterday ... it
> > > needed to be fixed up by Linus when he merged Al's tree ...
> > 
> > I will apply this fix patch to linux-next today ... Al, Christoph, this
> > is the fix I sent out earlier.  Is it correct enough for Linus to apply
> > it?

> Whiskey Tango Fotrot, Over
> 
> In Linus' tree we have
> commit 1025774ce411f2bd4b059ad7b53f0003569b74fa
> Author: Christoph Hellwig <[email-masked]>
> Date:   Fri Jun 4 11:30:02 2010 +0200
> ...
> diff --git a/fs/9p/vfs_inode.c b/fs/9p/vfs_inode.c
> index 4331b3b..4b3ad6a 100644
> --- a/fs/9p/vfs_inode.c
> +++ b/fs/9p/vfs_inode.c
> @@ -896,10 +896,19 @@ static int v9fs_vfs_setattr(struct dentry *dentry, struct 

D'oh.  Different function, appeared there only recently.  OK, I'll drop your
fix into today's pull request (in about an hour).  ACK.